/**(c)

  Copyright (C) 2006, 2007, 2008, 2009 Michael Stilkerich, Johannes Bauer, Christian Wawersich 

  This file is part of the JOSEK operating system.

	JOSEK is free software: you can redistribute it and/or modify it under the
  terms of the Lesser GNU General Public License as published by the Free
  Software Foundation, either version 3 of the License, or (at your option)
  any later version.

	JOSEK is distributed in the hope that it will be useful, but WITHOUT ANY
  WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
  FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License for
  more details. You should have received a copy of the GNU Lesser General
  Public License along with JOSEK. If not, see <http://www.gnu.org/licenses/>.

  Please contact keso@cs.fau.de for more info.

  (c)**/
void resetTID(TaskType tid) {
	void **stacktop;
	stacktop = (void**)((int8_t*)taskdesc[tid].stackbase + Stacksizes[tid] - sizeof(void*));
	*(void (**)())stacktop = (void (*)())taskdesc[tid].launch;			/* Return Address */
	stacktop[-1] = 0;										/* Sane value for EFLAGS/RFLAGS */
	taskdesc[tid].stack = (int8_t*)stacktop - CTXSIZE + sizeof(void*);
	if (taskdesc[tid].numbertasks == 0) {
		taskdesc[tid].state = SUSPENDED;
		taskprio_runnable[taskdesc[tid].defaultprio / 8 / sizeof(MACHINEWORD)] &= ~(1 << (taskdesc[tid].defaultprio % (8 * sizeof(MACHINEWORD))));
	}
}

