/**(c)

  Copyright (C) 2006-2012 Christian Wawersich, Michael Stilkerich, Christoph Erhardt

  This file is part of the KESO Java Runtime Environment.

  KESO is free software: you can redistribute it and/or modify it under the
  terms of the Lesser GNU General Public License as published by the Free
  Software Foundation, either version 3 of the License, or (at your option)
  any later version.

  KESO is distributed in the hope that it will be useful, but WITHOUT ANY
  WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
  FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License for
  more details. You should have received a copy of the GNU Lesser General
  Public License along with KESO. If not, see <http://www.gnu.org/licenses/>.

  Please contact keso@cs.fau.de for more info.

  (c)**/
package keso.io;

import java.io.*;

public final class NullPrintStream extends PrintStream {

	public NullPrintStream() { super((OutputStream) null); }

	public boolean checkError() { return false; }
	public void print(char[] s) { }
	public void print(String s) { }
	public void print(boolean v) { }
	public void print(char v) { }
	public void print(float v) { }
	public void print(double v) { }
	public void print(int v) { }
	public void print(long v) { }
	public void print(Object v) { }
	public void println() { }
	public void println(char[] s) { }
	public void println(String s) { }
	public void println(boolean v) { }
	public void println(char v) { }
	public void println(int v) { }
	public void println(long v) { }
	public void println(float v) { }
	public void println(double v) { }
	public void println(Object v) { }
  public void write(int a) { }
}
