.data
	.align
sched_stack_p:
	.word 0

/* eax is a volatile register and can safely be clobbered */
.text
.globl StartTask
	.type StartTask, @function
StartTask:
  /* previous save sched_stack_p */
	movl sched_stack_p, %eax
	pushl %eax

  /* set current sched_stack_p */
	movl %esp, sched_stack_p

	/* start the task */
	call *8(%esp)

	/* restore previous sched_stack_p */
	popl %eax
	movl %eax, sched_stack_p

	ret

.globl ClearStackPart
	.type ClearStackPart, @function
ClearStackPart:
/* CAUTION: We do not restore the framepointer. The program MUST be compiled
   with -fomit-frame-pointer, otherwise the wrong ptask in the BCC scheduler
	 will be loaded
*/

	/* restore previous stack partition */
	movl sched_stack_p, %esp

	/* restore previous sched_stack_p */
	popl %eax
	movl %eax, sched_stack_p

	ret

