/**(c)

  Copyright (C) 2006-2012 Christian Wawersich, Michael Stilkerich, Christoph Erhardt

  This file is part of the KESO Java Runtime Environment.

  KESO is free software: you can redistribute it and/or modify it under the
  terms of the Lesser GNU General Public License as published by the Free
  Software Foundation, either version 3 of the License, or (at your option)
  any later version.

  KESO is distributed in the hope that it will be useful, but WITHOUT ANY
  WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
  FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License for
  more details. You should have received a copy of the GNU Lesser General
  Public License along with KESO. If not, see <http://www.gnu.org/licenses/>.

  Please contact keso@cs.fau.de for more info.

  (c)**/
/*
	M.Strotz 2011
*/

package keso.compiler.backend.gradmp.test;

public final class LDParserTest {
	public static void main( String []args ) {
		keso.compiler.backend.gradmp.MemoryDescription md = new keso.compiler.backend.gradmp.MemoryDescription();
		try {
			md.parseFile( args[0] );
		} catch( Exception e ) {
			//e.printStackTrace();
			System.err.println("parser-error: " +  e );
		}
		if( md.blocks().isEmpty() ) {
			System.err.println("warning: no memory description!");
		} else for( keso.compiler.backend.gradmp.MemoryBlock mb : md.blocks() ) {
			System.out.println( mb + " " + mb.trapsOnRead() + " " + mb.trapsOnWrite() );
		}
	}
	/*
	public static void main( String []args ) {
		keso.compiler.backend.gradmp.LinkerScript ls = new keso.compiler.backend.gradmp.LinkerScript();
		try {
			ls.parseFile( args[0] );
		} catch( Exception e ) {
			//e.printStackTrace();
			System.err.println("parser-error: " +  e );
		}
		if( ls.getMemoryBlocks().isEmpty() ) {
			System.err.println("warning: no memory description!");
		} else for( keso.compiler.backend.gradmp.MemoryBlock mb : ls.getMemoryBlocks() ) {
			System.out.println( mb + " " + mb.trapsOnRead() + " " + mb.trapsOnWrite() );
		}
	}
	*/
};
