/**(c)

  Copyright (C) 2006-2012 Christian Wawersich, Michael Stilkerich, Christoph Erhardt

  This file is part of the KESO Java Runtime Environment.

  KESO is free software: you can redistribute it and/or modify it under the
  terms of the Lesser GNU General Public License as published by the Free
  Software Foundation, either version 3 of the License, or (at your option)
  any later version.

  KESO is distributed in the hope that it will be useful, but WITHOUT ANY
  WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
  FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License for
  more details. You should have received a copy of the GNU Lesser General
  Public License along with KESO. If not, see <http://www.gnu.org/licenses/>.

  Please contact keso@cs.fau.de for more info.

  (c)**/
import keso.core.*;
import keso.io.DebugOut;

public final class Main {
	static final Memory stmdev = MemoryService.allocStaticDeviceMemory(0xf0000210, 4);

	public void run() {
//		DebugOut.println("sin JMath");
		JMath.test_sin();
		/*
		DebugOut.println("sin CMath");
		CMath.test_sin();

		DebugOut.println("asin JMath");
		JMath.test_asin();
		DebugOut.println("asin CMath");
		CMath.test_asin();

		DebugOut.println("cos JMath");
		JMath.test_cos();
		DebugOut.println("cos CMath");
		CMath.test_cos();

		DebugOut.println("acos JMath");
		JMath.test_acos();
		DebugOut.println("acos CMath");
		CMath.test_acos();

		//DebugOut.println("atan JMath"); haengt
		//JMath.test_atan();
		DebugOut.println("atan CMath");
		CMath.test_atan();

		DebugOut.println("sqrt JMath");
		JMath.test_sqrt();
		DebugOut.println("sqrt CMath");
		CMath.test_sqrt();

		DebugOut.println("log JMath");
		JMath.test_log();
		DebugOut.println("log CMath");
		CMath.test_log();
		*/
	}
}
