# /**(c)
# 
#   Copyright (C) 2006-2012 Christian Wawersich, Michael Stilkerich, Christoph Erhardt
# 
#   This file is part of the KESO Java Runtime Environment.
# 
#   KESO is free software: you can redistribute it and/or modify it under the
#   terms of the Lesser GNU General Public License as published by the Free
#   Software Foundation, either version 3 of the License, or (at your option)
#   any later version.
# 
#   KESO is distributed in the hope that it will be useful, but WITHOUT ANY
#   WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
#   FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License for
#   more details. You should have received a copy of the GNU Lesser General
#   Public License along with KESO. If not, see <http://www.gnu.org/licenses/>.
# 
#   Please contact keso@cs.fau.de for more info.
# 
#   (c)**/

%check = (
	'IMReadArray' =>
'		IMNode check = new IMNullCheck(this, aOpr, successor,
				BCBasicDatatype.toChar(datatype) + "ALOAD");
		checkList.insert(check);',
	'IMStoreArray' =>
'		IMNode check = new IMNullCheck(this, aOpr, successor,
				BCBasicDatatype.toChar(datatype) + "ASTORE");
		checkList.insert(check);',
	'IMArrayLength' =>
'		IMNode check = new IMNullCheck(this, array, successor, "ARRAYLENGTH");
		checkList.insert(check);',
	'IMCheckCast'       => '', # TODO
	'IMGetField' =>
'		IMNode check = new IMNullCheck(this, rOpr, successor,
				BCBasicDatatype.toChar(datatype) + "GETFIELD", getField());
		checkList.insert(check);',
	'IMInvokeInterface' =>
'		IMNode check = new IMNullCheck(this, obj, successor, "INVOKEINTERFACE");
		checkList.insert(check);',
	'IMInvokeSpecial' =>
'		IMNode check = new IMNullCheck(this, obj, successor, "INVOKESPECIAL");
		checkList.insert(check);',
	'IMInvokeVirtual' =>
'		IMNode check = new IMNullCheck(this, obj, successor, "INVOKEVIRTUAL");
		checkList.insert(check);',
	'IMPutField' =>
'		IMNode check = new IMNullCheck(this, obj, successor,
				BCBasicDatatype.toChar(datatype) + "PUTFIELD", getField());
		checkList.insert(check);',
);
